-- Query is compliments of Jonathan Kehayias and Paul Randal on the below query
-- (Session contains deadlock event info, locks exceeding a set period, latch waits and more)
SELECT CAST (
    REPLACE (
        REPLACE (
            XEventData.XEvent.value ('(data/value)[1]', 'varchar(max)'),
            '<victim-list>', '<deadlock><victim-list>'),
        '<process-list>', '</victim-list><process-list>')
    AS XML) AS DeadlockGraph
FROM (SELECT CAST (target_data AS XML) AS TargetData
    FROM sys.dm_xe_session_targets st
    JOIN sys.dm_xe_sessions s ON s.address = st.event_session_address
    WHERE [name] = 'system_health') AS Data
CROSS APPLY TargetData.nodes ('//RingBufferTarget/event') AS XEventData (XEvent)
    WHERE XEventData.XEvent.value('@name', 'varchar(4000)') = 'xml_deadlock_report';
    
-- Check object name
USE AdventureWorksDW
GO

SELECT object_name(object_id)
FROM sys.dm_db_partition_stats
WHERE partition_id= 72057594040090624